/*-----------------------------------*\
  #style.css  copyright 2022 codewithsadee
\*-----------------------------------*/


/*#region 固定设置*/


/*-----------------------------------*\
  #CUSTOM PROPERTY
\*-----------------------------------*/

:root {

    /**
     * colors
     */

    --grey: hsla(210, 1%, 60%, 0.95);
    --eerie-black_a95: hsla(204, 9%, 11%, 0.95);
    --eerie-black_a50: hsla(204, 9%, 11%, 0.5);
    --eerie-black: hsl(204, 9%, 11%);
    --gainsboro: hsl(225, 7%, 89%);
    --charcoal: hsl(203, 9%, 28%);
    --silver-sand: hsl(208, 12%, 78%);
    --light-sky-blue: hsl(200, 100%, 73%);
    --prussian-blue: hsl(196, 100%, 14%);
    --black: hsl(0, 0%, 0%);
    --black_a50: hsla(0, 0%, 0%, 0.5);
    --black_a20: hsla(0, 0%, 0%, 0.2);
    --light-sky-blue_a8: hsla(200, 100%, 73%, 0.08);
    --light-sky-blue_a12: hsla(200, 100%, 73%, 0.12);
    --silver-sand_a8: hsla(208, 12%, 78%, 0.08);
    --silver-sand_a12: hsla(208, 12%, 78%, 0.12);

    --background: var(--eerie-black);
    --background-opacity: var(--eerie-black_a95);
    --on-background: var(--gainsboro);
    --surface-variant: var(--charcoal);
    --on-surface-variant: var(--silver-sand);
    --on-surface-variant-hover: var(--light-sky-blue_a8);
    --on-surface-variant-focus: var(--light-sky-blue_a12);
    --primary: var(--light-sky-blue);
    --on-primary: var(--prussian-blue);
    --playlist-dark-bg: rgb(54, 57, 59);
    --trackWidth: 6px;
    --trackHeight: 116px;
    --dragable-width: 12px;
    --range-radius: 5px;
    --range-fill-radius: 0 0 5px 5px;
    /**
     * gradient
     */

    --gradient: linear-gradient(180deg, hsla(204, 9%, 11%, 0.90) 60%, transparent 120%);

    /**
     * typography
     */

    --ff-inter: 'Inter', sans-serif;

    --headline-sm: 2.4rem;
    --title-lg: 2.2rem;
    --label-lg: 1.4rem;
    --label-md: 1.2rem;

    --fw-400: 400;
    --fw-500: 500;

    /**
     * box shadow
     */

    --shadow-1: 0 1px 4px 1px var(--black_a20);
    --shadow-2: 0 1px 4px 1px var(--black_a50);

    /**
     * border radius
     */

    --radius-24: 24px;
    --radius-16: 16px;
    --radius-12: 12px;
    --radius-pill: 100px;
    --radius-circle: 50%;

    /**
     * transition
     */

    --transition-1: 200ms cubic-bezier(0.2, 0, 0, 1);
    --transition-2: 300ms cubic-bezier(0.2, 0, 0, 1);

}





/*-----------------------------------*\
    #RESET
  \*-----------------------------------*/

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-user-select: none;
    /*webkit浏览器*/
    -moz-user-select: none;
    /*火狐*/
    -ms-user-select: none;
    /*IE10*/
    user-select: none;
}

li {
    list-style: none;
}

a,
img,
span,
input,
button {
    display: block;
}

a {
    text-decoration: none;
    color: inherit;
}

img {
    height: auto;
}

input,
button {
    background: none;
    border: none;
    font: inherit;
}

input {
    width: 100%;
}

button {
    cursor: pointer;
}

html {
    font-family: var(--ff-inter);
    font-size: 10px;

}

body {
    /* background-color: var(--black); */
    color: var(--on-background);
    font-size: 1.6rem;
    line-height: 1.5;
    min-height: 100vh;
    min-width: 250px;
    overflow: hidden;
    background-color: #333;
}

body.modalActive {
    overflow: hidden;
}

::-webkit-scrollbar {
    width: 8px;
}

::-webkit-scrollbar-track {
    background: transparent;
}

::-webkit-scrollbar-thumb {
    background-color: transparent;
    border-radius: var(--radius-pill);
}

body:hover::-webkit-scrollbar-thumb {
    background-color: var(--surface-variant);
}





/*#endregion*/


/*#region 复用的样式*/

/*-----------------------------------*\
    #REUSED STYLE
  \*-----------------------------------*/

.material-symbols-rounded {
    font-variation-settings: 'FILL' 0, 'wght' 10, 'GRAD' -25, 'opsz' 24;
    width: 1em;
    height: 1em;
    overflow: hidden;
    user-select: none;
}

.wrapper {
    display: flex;
    align-items: center;
}

.title-lg {
    font-size: var(--title-lg);
    font-weight: var(--fw-400);
}

.btn-icon {
    color: var(--on-surface-variant);
    width: 40px;
    height: 40px;
    display: grid;
    place-items: center;
    border-radius: var(--radius-circle);
}

.btn-icon:hover {
    background-color: var(--on-surface-variant-hover);
}

.btn-icon:is(:focus, :focus-visible) {
    background-color: var(--on-surface-variant-focus);
}

.img-cover {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.headline-sm {
    font-size: var(--headline-sm);
    font-weight: var(--fw-400);
    text-align: center;
}

.label-lg,
.label-md {
    font-weight: var(--fw-500);
}

.label-lg {
    font-size: var(--label-lg);
    letter-spacing: 0.1px;
}

.label-md {
    font-size: var(--label-md);
    letter-spacing: 0.5px;
}


/*#endregion*/


/*#region 顶部导航栏*/
/*-----------------------------------*\
    #TOP APP BAR
  \*-----------------------------------*/

.top-bar {
    position: fixed;
    top: 0;
    left: 0;
    background-color: var(--background-opacity);
    min-width: 250px;
    width: 100%;
    height: 64px;
    padding-inline: 16px;
    justify-content: space-between;
    backdrop-filter: blur(50px);
    box-shadow: var(--shadow-1);
    z-index: 2;
}

.logo {
    gap: 12px;
}


/*#endregion*/

/*#region 中间播放信息部分*/
/*-----------------------------------*\
    #PLAYER
  \*-----------------------------------*/



.player {
    --padding: 24px;
    /* background-image: var(--gradient); */
    padding: var(--padding);
    padding-block-start: calc(64px + var(--padding));
    min-height: 100vh;
    display: flex;
    text-align: center;
    overflow: hidden;
    align-items: flex-start;
    /* 垂直靠上对齐 */
}

.container {
    top: 0;
    width: 60%;
    height: 100%;
    display: grid;
    grid-template-rows: 1fr max-content;
    gap: 24px;
}

.music-banner {
    aspect-ratio: 1 / 1;
    max-width: 400px;
    margin-inline: auto;
    align-self: center;
    margin: auto;
    display: flex;
}

.music-banner .msk {
    position: relative;
    margin: auto;
    width: 206px;
    height: 205px;
    background: url(https://s2.music.126.net/style/web2/img/coverall.png?927b63d9ac5d14a704941e3913a90d9f) no-repeat;
    background-position: -140px -580px;
    z-index: 2;
    display: flex;

}

.music-banner img {
    width: 130px;
    height: 130px;
    margin: auto;
    border-radius: 50%;
    /* 圆形 */
    pointer-events: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -khtml-user-select: none;
    user-select: none;
    animation: zhuan 10s infinite linear;
    /*infinite 无限循环，linear匀速*/
    animation-play-state: paused;
}

img.j-img.active {
    animation-play-state: running;
}

@keyframes zhuan {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.label-wrapper {
    justify-content:center;
    opacity: 0.8;
    margin-block: 8px 4px;
}

.label-wrapper span:first-child::after {
    content: "|";
    display: inline-block;
    margin-inline: 4px;
}

.artist {
    opacity: 0.6;
    margin-block-end: 36px;
}

.seek-control {
    margin-block-end: 20px;
}

.range-wrapper {
    position: relative;
}

.range {
    appearance: none;
    cursor: pointer;
}

.range::-webkit-slider-runnable-track {
    appearance: none;
    background-color: var(--surface-variant);
    height: 3px;
    width: 100%;
    border-radius: var(--radius-pill);
}

.range-fill {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 4px;
    background-color: var(--primary);
    border-radius: var(--radius-pill);
    pointer-events: none;
}

.range::-webkit-slider-thumb {
    appearance: none;
    background-color: var(--primary);
    width: 16px;
    height: 16px;
    margin-block-start: -5px;
    border-radius: var(--radius-pill);
    transition: var(--transition-1);
}

.range::-webkit-slider-thumb:hover {
    box-shadow: 0 0 0 12px var(--on-surface-variant-hover);
}

.range::-webkit-slider-thumb:is(:focus, :focus-visible) {
    box-shadow: 0 0 0 12px var(--on-surface-variant-focus);
}

.duration-label {
    justify-content: space-between;
    margin-block-start: 12px;
}

/*#endregion*/

/*#region 底部控制栏*/
.player-bar-container {
    position: absolute;
    width: 100%;
    height: 70px;
    bottom: 0;
    left: 0;
    transition: all 0.2s linear;
}

.player-bar-container.isDown {
    bottom: -50px;
}

.player-bar-container:hover {
    bottom: 0;
}

.play-hand {
    position: absolute;
    top: 0;
    width: 100%;
    height: 20px;
}

.playbar {
    position: absolute;
    display: flex;
    justify-content: center;
    /* 水平居中 */
    align-items: center;
    /* 垂直居中 */
    top: 20px;
    left: 0;
    width: 100%;
    height: 50px;
    background: linear-gradient(to top, #000, #38352d);
}

.player-control {
    font-size: 20px;
    /*如果要改变控制栏图标， 就需要重新设定字体大小*/
    justify-content: space-between;
    display: flex;
    align-items: center;
    width: 300px;
}

.player-control .toggle.active {
    color: var(--primary);
}

.player-control .play {
    background-color: var(--surface-variant);
    color: var(--primary);
}

.player-control .play.active {
    background-color: var(--primary);
    color: var(--on-primary);
}

.player-control .btn-icon.active .default-icon,
.player-control .btn-icon .active-icon {
    display: none;
}

.player-control .btn-icon .default-icon,
.player-control .btn-icon.active .active-icon {
    display: block;
}

.lock-popup {
    position: absolute;
    right: 10px;
    cursor: pointer;
    font-size: 10px;
}

.lock-popup.isDown .bi-lock-fill,
.lock-popup .bi-unlock-fill {
    display: none;
}

.lock-popup .bi-lock-fill,
.lock-popup.isDown .bi-unlock-fill {
    display: block;
}

/*#endregion*/

/*#region 播放列表*/
/*-----------------------------------*\
    #PLAYLIST
  \*-----------------------------------*/


.playlist {
    position: absolute;
    top: 50px;
    right: -360px;
    ;
    width: 350px;
    height: 80%;
    border-radius: 10px 0 0 10px;
    background-color: white;
    /* background-color: var(--playlist-dark-bg); */
    box-shadow:
        -8px 0 8px rgba(50, 50, 50, 0.2),
        /* 左侧发光 */
        0 -8px 8px rgba(50, 50, 50, 0.3),
        /* 上侧发光 */
        0 8px 8px rgba(50, 50, 50, 0.2),
        /* 下侧不发光 */
        8px 0 8px rgba(0, 0, 0, 0);
    /* 右侧不发光 */
    z-index: 120;
    visibility: hidden;

}

/* 
.playlist:hover::-webkit-scrollbar-thumb { background-color: var(--surface-variant); } */

.playlist.active {
    transform: translateX(-360px);
    visibility: visible;
}




.music_list_title {
    position: absolute;
    top: 0;
    left: 0;
    height: 46px;
    width: 100%;
    display: flex;
    /* flex-direction: row;
     padding: 0;
    margin: 0;  
    border-bottom: 1px solid #dfdfdf;  */
    gap: 2px;
}

.music_list_title p {
    position: absolute;
    left: 15px;
    top: 5px;
    font-family: "Microsoft YaHei", 微软雅黑;
    font-weight: bold;
    font-size: 20px;
    color: #0a0a0a;
    text-align: bottom;
}

.j-flag {
    display: inline-block;
    font-size: 12px;
    /* 与文本相同的字体大小 */
    margin-left: 5px;
    position: relative;
    top: -5px;
    color: #555;
    /* 字体颜色可以根据需要调整 */
}

.addall {
    position: absolute;
    left: 120px;
    top: 16px;
    height: 15px;
    line-height: 15px;
    font-size: 12px;
    font-family: Arial, Helvetica, sans-serif;
    cursor: pointer;
    color: var(--grey);
}

.likeall {
    position: absolute;
    left: 200px;
    top: 16px;
    height: 15px;
    line-height: 15px;
    font-size: 12px;
    font-family: Arial, Helvetica, sans-serif;
    cursor: pointer;
    color: var(--grey);
}

.line {
    position: absolute;
    top: 13px;
    left: 280px;
    height: 20px;
    border-left: 1px solid #525151;
    border-right: 1px solid #252525;
}

.clear {
    position: absolute;
    left: 300px;
    top: 16px;
    height: 15px;
    line-height: 15px;
    font-size: 12px;
    font-family: Arial, Helvetica, sans-serif;
    cursor: pointer;
    color: var(--grey);

}

#ulWarp {
    position: absolute;
    top: 50px;
    left: 0;
    width: 100%;
    height: calc(100% - 50px);
    overflow-y: scroll;


}

/*滚动条整体样式*/
#ulWarp::-webkit-scrollbar {
    /*高宽分别对应横竖滚动条的尺寸*/
    width: 6px;
    height: 1px;
}

/*滚动条里面小方块*/
#ulWarp::-webkit-scrollbar-thumb {
    border-radius: 6px;

    background: #dfdfdf;
}

#ulWarp::-webkit-scrollbar-thumb:hover {
    width: 8px;
    background: rgb(110, 110, 110);
}

/*滚动条里面轨道*/
#ulWarp::-webkit-scrollbar-track {
    border-radius: 10px;

}

.grabbing {
    cursor: grabbing;
    cursor: -webkit-copy;

}

.music_list {
    padding: 2px;
    margin: 0;


}

.music_item {
    position: relative;
    height: 50px;
    padding: 0;
    width: 100%;
    list-style-type: none;
    display: flex;
    box-sizing: content-box;
}

.grabbing .music_item.select::before {
    content: "";
    position: absolute;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: #f8f7f7;
    border-radius: 10px;
    background: linear-gradient(to right, white, rgb(121, 121, 121))
}

.grabbing .music_item.select_bottom::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 1px;
    /* background-color: #f8f7f7; */
    border-radius: 10px;
    background: linear-gradient(to right, white, rgb(121, 121, 121))
}





#ulWarp:not(.grabbing) .music_item:hover {
    background-color: #eeecec;
}


#ulWarp:not(.grabbing) .music_item:hover .bi-play-fill.musiclist_btn,
.playing .cover-warp .bi-play-fill.musiclist_btn,
.playing.active .cover-warp .bi-pause-fill.musiclist_btn {
    display: block;
}

.playing.active .cover-warp .bi-play-fill.musiclist_btn {

    display: none;
}

.content {
    position: relative;
    left: 0px;
    top: 0;
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;

}

.cover-warp {
    position: absolute;
    left: 10px;
    top: 0;
    height: 50px;
    width: 50px;
    align-items: center;
    justify-content: center;
    display: flex;
    cursor: pointer;

}

#ulWarp.grabbing .cover-warp {
    cursor: grabbing;
    cursor: -webkit-grabbing;
}

.musiclist_btn {
    position: absolute;
    width: 40px;
    height: 40px;
    text-align: center;
    line-height: 40px;
    font-size: 20px;
    color: #ffffff;
    display: none;
    background-color: rgba(3, 3, 3, 0.3);
    z-index: 2;
}

.cover-warp img {
    position: relative;
    width: 40px;
    height: 40px;
    /* object-fit: cover; 使图片填充父容器并裁剪 */
    z-index: 1;
    -webkit-user-select: none;
    /*webkit浏览器*/
    -moz-user-select: none;
    /*火狐*/
    -ms-user-select: none;
    /*IE10*/
    user-select: none;
    -webkit-user-drag: none;
    /* For Safari and Chrome */

}

.music_info {
    position: absolute;
    top: 0;
    left: 70px;
    margin-top: 5px;
    height: 46px;
    width: 200px;
    height: 80%;
    /* border: 1px solid #dfdfdf; */

}

.music_info .name {
    position: absolute;
    top: 0;
    left: 0;
    font-size: 14px;
    font-family: "Microsoft Yahei", Arial, Helvetica, sans-serif;
    display: contents;
    color: var(--black);

}

.music_info .singer {
    font-size: 10px;
    font-family: "Microsoft Yahei", Arial, Helvetica, sans-serif;
    display: contents;
    color: var(--black);
}

.album {
    position: absolute;
    top: 20px;
    left: 0;
    font-size: 12px;
    font-family: "Microsoft Yahei", Arial, Helvetica, sans-serif;
    color: #999;

}

.time {
    position: absolute;
    right: 10px;
    font-size: 12px;
    font-family: "Microsoft Yahei", Arial, Helvetica, sans-serif;
    color: var(--grey);
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    opacity: 0;
    pointer-events: none;
    transition: var(--transition-2);
    z-index: 3;
}

.overlay.active {
    pointer-events: all;
}

.visible_item {
    visibility: hidden;
    position: fixed;
    left: 0;
    width: 200px;
    height: 40px;
    align-items: center;
    justify-content: center;
    display: block;
    margin-bottom: 0;
    border-radius: 6px;
    background-color: #555;
    opacity: 1;
    z-index: 999;
}

.visible_item.active {
    position: absolute;
    display: block;
}

.little_img {
    position: absolute;
    top: 4px;
    left: 4px;
    width: 30px;
    height: 30px;
    display: flex;

}

.little_img img {
    border-radius: 4px;
    width: 100%;
    height: 100%;
}

.little_info {
    position: absolute;
    top: 0;
    left: 40px;
    width: 150px;
    height: 40px;
    font-family: "Microsoft Yahei", Arial, Helvetica, sans-serif;
    color: var(--grey);
}

.little_info .name {
    position: absolute;
    top: 2px;
    left: 0;
    font-size: 12px;
    display: contents;

}

.little_info .singer {
    font-size: 10px;
    font-family: "Microsoft Yahei", Arial, Helvetica, sans-serif;
    display: contents;

}

.little_info .album {
    position: absolute;
    top: 20px;
    left: 0px;
    font-size: 10px;
    font-family: "Microsoft Yahei", Arial, Helvetica, sans-serif;

}


/*#endregion*/

/*#region 背景设置*/
.mask_bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -2;
    background: url("https://p1.music.126.net/VDmN2dNpIFu4gTv4bZe6KQ==/109951166254691365.jpg") no-repeat center center;
    background-size: cover;
    /* 模糊效果 */
    filter: blur(50px);
    transition: all 1s;
}

/*#endregion*/

.volume-popup {
    visibility: hidden;
    position: absolute;
    bottom: 100%;
    width: 40px;
    height: 150px;
    background-color: #333;
    border-radius: 5px;
    text-align: center;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

.volume-popup:after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #333 transparent transparent transparent;

}

.volumecontrol:hover .volume-popup {
    /* display: block; */
    visibility: visible;
}


.volume-percentage {
    margin-top: 10px;
    /* 调整百分比数字与范围条的距离 */
    font-size: 11px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}



#Volumecontainer {
    position: relative;
    top: 5px;
    width: var(--trackWidth);
    /* 滑块容器的宽度 */
    height: var(--trackHeight);
    /* 滑块容器的高度 */
    background-color: #ccc;
    /* 轨道颜色 */
    border-radius: var(--range-radius);
    /* 轨道圆角 */
    cursor: pointer;
    /* 鼠标悬停时显示为指针 */
    margin: 0 auto;
    /* 使容器水平居中 */
}

#fillbox {
    position: absolute;
    width: var(--trackWidth);
    /* 填充条的宽度 */
    height: 0;
    /* 初始高度为0 */
    background-color: var(--light-sky-blue);
    /* 填充条颜色 */
    border-radius: var(--range-fill-radius);
    /* 填充条圆角 */
    bottom: 0;
    /* 初始位置在底部 */
}

#draggable {
    position: absolute;
    width: var(--dragable-width);
    /* 滑块的宽度 */
    height: var(--dragable-width);
    /* 滑块的高度 */
    background-color: var(--light-sky-blue);
    /* 滑块颜色 */
    border-radius: 50%;
    /* 滑块圆形 */
    left: 50%;
    /* 使滑块水平居中 */
    transform: translateX(-50%);
    /* 使滑块水平居中 */
}


#draggable:hover {
    box-shadow: 0 0 0 12px var(--on-surface-variant-hover);
}

/*#region 歌词滚动*/

.lyric-container {
    height: 300px;
    overflow: hidden;
    position: relative;
    /* border: 1px solid #f0f0f0; */
    border-radius: 5px;
    padding: 10px;
    margin: 20px;
}

.lyric-list {
    position: absolute;
    width: 100%;
    transition: transform 0.3s ease;
}

.lyric-item {
    /* display: inline-block; */
    height: 40px;
    line-height: 40px;
    text-align: center;
    /* font-family:    */
    font-size: 16px;
    color: #666;
    transition: all 0.3s ease;
}

.lyric-item.active {
    color:var(--silver-sand);
    font-size: 18px;
   
    /* font-weight: bold; */
}

/*#endregion*/
/*#region 响应式布局*/

/*-----------------------------------*\
    #MEDIA QUERIES
  \*-----------------------------------*/

/**
   * responsive for large than 450px screen
   */

@media (min-width:390px) {

    /**
     * RESET
     */

    body {
        background-size: 100%;
    }



    /**
     * PLAYER
     */

    .player {
        justify-content: center;
        align-content: flex-end;
        justify-content: center;
        align-items: center;
    }

    .player .container {
        max-width: 540px;
    }

 
}





/**
   * responsive for large than 992px screen
   */

@media (min-width: 992px) {

    /**
     * CUSTOM PROPERTY
     */

    :root {

        /**
       * typography
       */

        --headline-sm: 4.2rem;
        --label-lg: 2.2rem;

    }



    /**
     * RESET
     */

    body {
        background-size: 40% 100%;
        background-position: left center;
    }

    article {
        display: flex;
    }



    /**
     * REUSED STYLE
     */

    .btn-icon {
        width: 40px;
        height: 40px;
    }

    .btn-icon .material-symbols-rounded {
        font-size: 2.8rem;
    }



    /**
     * TOP APP BAR
     */

    .top-bar-actions {
        display: none;
    }



    /**
     * PLAYER
     */

    .player {
        --padding: 48px;
        text-align: left;
        flex-grow: 1;
        align-items: center;

        align-content: flex-end;
        justify-content: center;

    }

    .player .container {
        max-width: 1200px;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr;
        gap: 48px;
        max-height: 500px;
        height: 100%;
    }

    .music-banner {
        aspect-ratio: unset;
        max-width: max-content;
        width: 100%;
        height: 100%;
    }

    .music-content {
        display: flex;
        flex-direction: column;
        padding-block-start: 48px;
        min-width: 100%;
    }

    .music-content :is(.headline-sm, .label-lg, .label-md) {
        max-width: 85%;
    }

    .label-wrapper {
        justify-content: center;
        margin-block-end: 8px;
    }

    .artist {
        --label-md: 1.8rem;
    }

    .seek-control {
        margin-block-start: auto;
        /* display: grid;
        grid-template-columns: 1fr 150px; */
        align-items: center;
        gap: 24px;
    }

    .volume {
        position: inherit;
        display: flex;
        align-items: center;
        gap: 4px;
        margin-block-start: -30px;
        border: 1px solid var(--surface-variant);
    }

    .volume .btn-icon {
        flex-shrink: 0;
    }

    .volume .range-fill {
        width: 100%;
    }

    /**
     * PLAYLIST
     */

    /* .overlay {
        display: none;
    } */

    /* .playlist {
        position: static;
        visibility: visible;
        border-radius: 0;
        box-shadow: none;
        flex-shrink: 0;
    }

    .playlist.active {
        transform: unset;
    } */
    /* 
    .music-item:is(:hover, :focus-visible, :active, .playing) {
        outline: 2px solid var(--primary);
    }

    .music-item .item-icon .material-symbols-rounded {
        font-size: 3.6rem;
    } */

}





/**
   * responsive for large than 1200px screen
   */

@media (min-width: 1200px) {

    /**
     * PLAYLIST
     */



}

/*#endregion*/